Skip to main content
GET
/
config_instances
/
{config_instance_id}
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
config_instance = client.config_instances.retrieve(
    config_instance_id="cfg_inst_123",
)
print(config_instance.id)
{
  "object": "config_instance",
  "id": "cfg_inst_123",
  "config_type_name": "Motion Control",
  "filepath": "/v1/motion-control.json",
  "created_at": "2021-01-01T00:00:00Z",
  "config_schema_id": "cfg_sch_123",
  "config_type_id": "cfg_typ_123"
}
ScopeRequired
config_instances:readYes

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Path Parameters

config_instance_id
string
required

The unique identifier of the config instance.

Example:

"cfg_inst_123"

Query Parameters

expand
enum<string>[]

Fields to expand on the config instance resource.

Available options:
content,
config_schema,
config_type
Example:
["content"]

Response

200 - application/json

Successfully retrieved the config instance.

object
enum<string>
required

The object type, which is always config_instance.

Available options:
config_instance
Example:

"config_instance"

id
string
required

ID of the config instance.

Example:

"cfg_inst_123"

config_type_name
string
required

The name of the config type.

Example:

"Motion Control"

filepath
string
required

The file path to deploy the config instance relative to /srv/miru/config_instances. v1/motion-control.json would deploy to /srv/miru/config_instances/v1/motion-control.json.

Example:

"/v1/motion-control.json"

created_at
string<date-time>
required

The timestamp of when the config instance was created.

Example:

"2021-01-01T00:00:00Z"

config_schema_id
string
required

ID of the config schema which the config instance must adhere to.

Example:

"cfg_sch_123"

config_type_id
string
required

ID of the config type which the config instance (and its schema) is a part of.

Example:

"cfg_type_123"

config_schema
Config Schema · object

Expand the config schema using 'expand=config_schema' in the query string.

Example:
{
"object": "config_schema",
"id": "cfg_sch_123",
"digest": "sha256:1234567890",
"config_type_name": "Motion Control",
"instance_filepath": "/v1/motion-control.json",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"config_type_id": "cfg_typ_123",
"language": "jsonschema",
"format": "json"
}
config_type
Config Type · object

Expand the config type using 'expand=config_type' in the query string.

Example:
{
"object": "config_type",
"id": "cfg_typ_123",
"name": "Motion Control",
"slug": "motion-control",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"created_by_id": "usr_123",
"updated_by_id": "usr_123"
}
content
Instance Content · object

The configuration values associated with the config instance. Expand the content using 'expand=content' in the query string.

Example:
{
"format": "json",
"data": "{\n \"enable_autonomy\": true,\n \"enable_remote_control\": true,\n \"max_payload_kg\": 10.0\n}\n"
}
Last modified on March 13, 2026